Package net.sourceforge.jiu.data

# Interface TransparencyInformation

public interface TransparencyInformation
An interface that represents transparency information which may be available for a pixel image. Transparency information describes how an image is supposed to be drawn on a pixel background (e.g. another image). That way, irregularly shaped images can easily be handled by excluding those pixels of a rectangular image that are not part of the image.

Author:
  Marco Schmidt

## Method Summary

Modifier and Type
Method
Description
`IntegerImage`
`getAlphaChannelImage()`
Returns an image object that contains an alpha channel.
`Integer`
`getTransparencyIndex()`
If there is a transparency index, this method returns it.
`void`
`setAlphaChannelImage(IntegerImage newImage)`
Set a new alpha channel image object.
`void`
`setTransparencyIndex(Integer newValue)`
Set a new transparency value.

## Method Details

### getAlphaChannelImage

IntegerImage getAlphaChannelImage()
Returns an image object that contains an alpha channel. The first channel of that image is supposed to be the alpha channel.

Returns:
  the alpha channel image object
See Also:
  - `setAlphaChannelImage(net.sourceforge.jiu.data.IntegerImage)`

### getTransparencyIndex

Integer getTransparencyIndex()
If there is a transparency index, this method returns it. Otherwise, the return value is undefined.

Returns:
  transparency index
See Also:
  - `setTransparencyIndex(java.lang.Integer)`

### setAlphaChannelImage

void setAlphaChannelImage(IntegerImage newImage)
Set a new alpha channel image object.

See Also:
  - `getAlphaChannelImage()`

### setTransparencyIndex

void setTransparencyIndex(Integer newValue)
Set a new transparency value. Can be `null`. However, if the value is non-null, it must encapsulate an integer number which is 0 or larger.

Parameters:
  `newValue` - new transparency index
Throws:
  `IllegalArgumentException` - if the argument is non-null and contains a negative value
See Also:
  - `getAlphaChannelImage()`